Page MenuHomeFreeBSD

math/R: Update to version 3.3.2 and a few other changes
ClosedPublic

Authored by jrm on Oct 24 2016, 1:53 AM.

Details

Summary

math/R: Update to version 3.3.2 and a few other changes (blocked by D8328)

  • Port Changes:
    • Definitively set PORTNAME after removal of slave ports
    • Set MASTERS_SITES to CRAN (see D8328)
    • Make documentation installation simpler for users
      • make the DOCS option the only option for extra documentation (remove PDF option)
      • turn this option off by default since it pulls in over 1 GB of build dependencies (TeX and friends)
    • Do not make INFO option imply DOCS option
    • Cosmetic changes
Test Plan

portlint -C: OK
testport: OK (poudriere: 9.3-RELEASE-p48, i386, default options)
testport: OK (poudriere: 9.3-RELEASE-p48, amd64, default options)
testport: OK (poudriere: 10.3-RELEASE-p10, i386, default options)
testport: OK (poudriere: 10.3-RELEASE-p10, amd64, default options)
testport: OK (poudriere: 11.0-RELEASE-p1, i386, default options)
testport: OK (poudriere: 11.0-RELEASE-p1, amd64, default options)

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 5701
Build 5995: arc lint + arc unit

Event Timeline

jrm updated this revision to Diff 21636.Oct 24 2016, 1:53 AM
jrm retitled this revision from to math/R: various changes (blocked by D8328).
jrm updated this object.
jrm edited the test plan for this revision. (Show Details)
jrm added reviewers: swills, AMDmi3.
mat added inline comments.Oct 24 2016, 8:15 AM
math/R/Makefile
60–61

OPTIONS_UNSET is a global setting, only to be used in /etc/make.conf

If the DOCS option doesn't do what you need, then call it BIGDOCS, or ALLDOCS, and don't add it as the DEFAULT.

jrm updated this revision to Diff 21654.Oct 24 2016, 3:15 PM

Rename the DOCS option ALLDOCS so it can be off by default

jrm retitled this revision from math/R: various changes (blocked by D8328) to math/R: various changes.Oct 26 2016, 3:35 PM
jrm updated this revision to Diff 21894.Nov 1 2016, 3:02 PM
jrm marked an inline comment as done.

Also update to version 3.3.2

jrm retitled this revision from math/R: various changes to math/R: Update to version 3.3.2 and a few other changes.Nov 1 2016, 3:03 PM
jrm updated this object.
jrm updated this object.Nov 1 2016, 3:09 PM
swills accepted this revision.Nov 1 2016, 7:23 PM
swills edited edge metadata.

Approved

This revision is now accepted and ready to land.Nov 1 2016, 7:23 PM
This revision was automatically updated to reflect the committed changes.